Skip to main content
`Ctrl`+`K`

# DMShellSetMatrix

sets a template matrix associated with the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetMatrix(DM dm, Mat J)

Collective

## Input Parameters

- dm - `DMSHELL`

- J - template matrix

## Developer Notes

To avoid circular references, if `J` is already associated to the same `DM`, then `MatDuplicate`(`SHARE_NONZERO_PATTERN`) is called, followed by removing the `DM` reference from the private template.

## See Also

`DM`, `DMSHELL`, `DMCreateMatrix()`, `DMShellSetCreateMatrix()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/snes/tutorials/ex73f90t.F90

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages